<div class="col-sm-12">
    <app-add-task class="col-sm-12"></app-add-task>
</div>
<div class="col-sm-12">
  <div class="text-center">
    <h1>Tasks</h1>
  </div>

  <ng-container *ngIf="taskList.length > 0; else noTasks">
    <ul class="list-group">
      <li *ngFor="let task of taskList | sortName" class="list-group-item">
        <div class="col-sm-12">
          <button (click)="done(task)" class="btn btn-success" style="margin-right: 10px">Done</button>
          <button (click)="remove(task)" class="btn btn-danger">Remove</button>
        </div>
        <div class="col-sm-12">
          {{task.created | date: 'yyyy-MM-dd hh:mm'}}
        </div>
        <div class="col-sm-12">
          {{task.name | transformTask}}
        </div>
      </li>
    </ul>
  </ng-container>

  <ng-template #noTasks>
    <p>No tasks for today</p>
  </ng-template>

  <div class="row">
      <div class="col-sm-12 text-center">
        <button class="btn btn-primary" (click)="saveToDB()">SaveToDB</button>
      </div>
    </div>
</div>
